Status: Closed Start date: 2010-08-31

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

r4050

If you go to the gantt tab of one of your projects containing the gantt module and use the clear button (to reset filters), the gantt chart

is removed as well as the filter form.

This results in a blank page (see attachment).

Related issues:

Is duplicate of Redmine - Defect #6473: New gantt broken after clearing issue... Closed 2010-09-23

History

#1 - 2010-10-02 01:56 - Mischa The Evil

- Assignee set to Eric Davis

The error reported was:

Processing IssuesController#gantt (for xxx.xxx.xxx.xxx at 2010-10-02 00:00:00) [POST]

  Parameters: {"set_filter"=>"1", "action"=>"gantt", "authenticity_token"=>"XXX", "controller"=>"issues"}

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 14ms (View: 2, DB: 2) | 403 Forbidden [http://redmine.host.tld/issues/gantt?set_filter=1]

 Quick patch to fix the issue:

Index: app/views/gantts/show.html.erb

===================================================================

--- app/views/gantts/show.html.erb      (revision 4101)

+++ app/views/gantts/show.html.erb      (working copy)

@@ -31,6 +31,7 @@

 <%= link_to_remote l(:button_clear),

                    { :url => { :set_filter => (@query.new_record? ? 1 : nil) },

                      :update => "content",

+                     :method => :put,

                    }, :class => 'icon icon-reload' if @query.new_record? %>

 </p>

 <% end %>

 I noticed that the apply button works as expected without the specific param. Is it due to the use of the form-builder or have I missed something?

#2 - 2010-10-02 02:34 - Mischa The Evil

I spoke too soon... With the above mentioned patch applied I now am being redirected to the global gantt whenever I click the "Clear"-link from within

a projects gantt.

#3 - 2010-10-02 02:43 - Mischa The Evil

Nevermind, this issue was already fixed in the trunk (r4176) for issue #6473.

#4 - 2010-10-02 02:44 - Mischa The Evil

- Status changed from New to Closed

- Assignee deleted (Eric Davis)

- Resolution set to Duplicate
https://www.redmine.org/projects/redmine/repository/svn/revisions/4050
https://www.redmine.org/projects/redmine/repository/svn/revisions/4176
https://www.redmine.org/issues/6473


Closed as a dup of #6473.
